List usage records
curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/records/usage \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/records/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/records/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"subscription_id": "<string>",
"usage_group": "<string>",
"quantity": 123,
"start": "2023-11-07T05:31:56Z"
}
],
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Records
List usage records
deprecated
Retrieves usage records for the specified organization.
GET
/
organizations
/
{organization_id}
/
records
/
usage
List usage records
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
Query Parameters
The ID of the subscription
Filter records by the type of usage.
Available options:
storage, environments, user_licenses The start of the observation period for the record. E.g. filter[start]=2018-01-01 will display all records that were active (i.e. did not end) on 2018-01-01
The record's start timestamp. You can use this filter to list records started after, or before a certain time. E.g. filter[started_at][value]=2020-01-01&filter[started_at][operator]=>
Page to be displayed. Defaults to 1.
Last modified on June 16, 2026
Was this page helpful?